#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_with	doc		# don't build documentation

Summary:	Database Independent Abstraction Layer for C
Summary(pl.UTF-8):	Warstwa abstrakcji baz danych dla C
Name:		libdbi
Version:	0.9.0
Release:	1%{?tld}
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libdbi/%{name}-%{version}.tar.gz
# Source0-md5:	05e2ceeac4bc85fbe40de8b4b22d9ab3
URL:		http://libdbi.sourceforge.net/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of code,
programmers can leverage the power of multiple databases and multiple
simultaneous database connections by using this framework.

%description -l pl.UTF-8
libdbi jest implementacją w C warstwy abstrakcyjnej niezależnej od
bazy danych, podobnej do warstwy DBI/DBD w Perlu. Używając tego
środowiska programista może za pomocą jednego, wspólnego kodu
odwoływać się do wielu różnych baz danych, także jednocześnie.

%package devel
Summary:	Development files for Database Independent Abstraction Layer for C
Summary(pl.UTF-8):	Pliki dla programistów używających warstwy DBI w C
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files needed to develop
applications with libdbi.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji z użyciem
libdbi.

%package static
Summary:	Static Database Independent Abstraction Layer for C libraries
Summary(pl.UTF-8):	Statyczne biblioteki warstwy DBI w C
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Database Independent Abstraction Layer for C libraries.

%description static -l pl.UTF-8
Statyczne biblioteki warstwy DBI w C.

%package doc
Summary:	Documentation for Database Independent Abstraction Layer for C
Summary(pl.UTF-8):	Dokumentacja dla programistów używających warstwy DBI w C
Group:		Documentation

%description doc
Documentation for Database Independent Abstraction Layer for C.

%description doc -l pl.UTF-8
Dokumentacja dla programistów używających warstwy DBI w C.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/dbd

%{__make} install-exec \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO UPGRADING
%attr(755,root,root) %{_libdir}/libdbi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdbi.so.1
%dir %{_libdir}/dbd

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbi.so
%{_libdir}/libdbi.la
%{_includedir}/dbi
%{_pkgconfigdir}/dbi.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdbi.a
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/driver-guide doc/driver-guide.pdf doc/programmers-guide doc/programmers-guide.pdf
%endif
%changelog
* Sun Dec 03 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libdbi.git;a=log;h=master

* Mon Jun 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 0e0d30f
- updated to 0.9.0 release

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 95dfc84
- x32 rebuild
- release 2 (by relup.sh)

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 7e8dae0
- %description <name> for correct %package

* Mon Jan 17 2011 Jan Palus <jan.palus@gmail.com> 5622cea
- up to 0.9.0-pre4
- tarball includes prebuilt docs so drop unneeded reqs and toggle doc bcond
- install-exec installs all but docs
- package UPGRADING file

* Thu Nov 11 2010 Jan Palus <jan.palus@gmail.com> 8d10510
- pkg-config configuration file now provided by upstream
- rel 2

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 79081e5
- cleanup

* Wed Oct 13 2010 Jan Palus <jan.palus@gmail.com> ff6c646
- toggle doc bcond until proper jadetex is provided

* Tue Sep 21 2010 Jan Palus <jan.palus@gmail.com> 38d1bb2
- up to 20100921 snap
- libdbi-borked_snapshot.patch fixed upstream
- BR: docbook-style-dsssl openjade
- separate doc

* Wed May 19 2010 sparky <sparky@pld-linux.org> f911ccd
- doc BR: texlive-fonts-marvosym, texlive-format-pdflatex, texlive-latex-ams,
  texlive-latex-extend, texlive-latex-wasysym, texlive-xetex, texlive-xmltex
  (still fails to build documentation)

* Tue Apr 20 2010 hawk <hawk@pld-linux.org> 510c266
- for time being use tetex deps and disable doc for Titanium
- release 3

* Thu Feb 25 2010 Elan Ruusamäe <glen@pld-linux.org> ba22431
- cosmetics, builds without doc; rel 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f177588
- drop obsolete files

* Wed Apr 22 2009 Mariusz Mazur <mmazur@pld-linux.org> 5af9ac7
- added doc bcond; BRs for texlive aren't complete though

* Mon Apr 20 2009 Mariusz Mazur <mmazur@pld-linux.org> 15872b7
- Added dome BRs for doc generation.

* Mon Apr 20 2009 Mariusz Mazur <mmazur@pld-linux.org> 85e6348
- cvs snap 20090420; needed by bacula

* Mon Apr 20 2009 Mariusz Mazur <mmazur@pld-linux.org> cd3a52b
- Not needed anymore.

* Mon Apr 20 2009 Mariusz Mazur <mmazur@pld-linux.org> 1e6177f
- doc building fix

* Fri Dec 26 2008 Jan Rękorajski <baggins@pld-linux.org> 1e8b937
- rel 2
- added pkgconfig support (ported from upstream CVS)

* Sat Jul 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 0fb6d32
- updated to 0.8.3

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> c511de1
- updated to 0.8.2

